import i18n from 'i18next';
import i18nextFSBackend from 'i18next-fs-backend/cjs';
export default (function (config) {
  var instance = i18n.createInstance(config);
  var initPromise;

  if (!instance.isInitialized) {
    var _config$use;

    var hasCustomBackend = config === null || config === void 0 ? void 0 : (_config$use = config.use) === null || _config$use === void 0 ? void 0 : _config$use.some(function (b) {
      return b.type === 'backend';
    });

    if (!hasCustomBackend) {
      instance.use(i18nextFSBackend);
    }

    config.use.forEach(function (x) {
      return instance.use(x);
    });
    initPromise = instance.init(config);
  }

  return {
    i18n: instance,
    initPromise: initPromise
  };
});